<?php

const RESPONSE_CODE = [
    //服务器级别错误 10500 10999
    10501 => [
        'cn' => '写入错误',
        'en' => 'Write error',
        'hk' => '寫入錯誤',
        'ja' => '書き込みエラー',
    ],
    10502 => [
        'cn' => '用户令牌无效',
        'en' => 'Invalid user token',
        'hk' => '用戶令牌無效',
        'ja' => '無効なユーザートークン',
    ],
    10503 => [
        'cn' => '存储服务错误',
        'en' => 'Storage service error',
        'hk' => '存儲服務錯誤',
        'ja' => 'ストレージサービスエラー',
    ],
    10504 => [
        'cn' => '数据库写入错误',
        'en' => 'Database write error',
        'hk' => '數據庫寫入錯誤',
        'ja' => 'データベース書き込みエラー',
    ],
    10505 => [
        'cn' => '订单匹配错误',
        'en' => 'Order matching error',
        'hk' => '訂單匹配錯誤',
        'ja' => '注文照合エラー',
    ],
    10506 => [
        'cn' => '口令请求错误',
        'en' => 'Token request error',
        'hk' => '口令請求錯誤',
        'ja' => 'パスワードリクエストエラー',
    ],


    //业务级别 20500 - 20699

    20501 => [
        'cn' => '参数缺失',
        'en' => 'Missing parameters',
        'hk' => '參數缺失',
        'ja' => 'パラメータがありません',
    ],
    20502 => [
        'cn' => '暂无数据',
        'en' => 'No data',
        'hk' => '暫無數據',
        'ja' => 'データなし',
    ],
    20503 => [
        'cn' => '商品/规格信息不匹配',
        'en' => 'Product/specification information does not match',
        'hk' => '商品/規格信息不匹配',
        'ja' => '製品/仕様情報が一致しません',
    ],
    20504 => [
        'cn' => '订单信息错误',
        'en' => 'Incorrect order information',
        'hk' => '訂單信息錯誤',
        'ja' => '注文情報が正しくありません',
    ],
    20505 => [
        'cn' => '没有文件需要上传',
        'en' => 'No files to upload',
        'hk' => '沒有文件需要上傳',
        'ja' => 'アップロードするファイルがありません',
    ],
    20506 => [
        'cn' => '文件上传失败',
        'en' => 'File upload failed',
        'hk' => '文件上傳失敗',
        'ja' => 'ファイルのアップロードに失敗しました',
    ],
    20507 => [
        'cn' => '参数格式错误',
        'en' => 'Parameter format error',
        'hk' => '參數格式錯誤',
        'ja' => 'パラメータフォーマットエラー',
    ],
    20508 => [
        'cn' => '请注明审核失败原因',
        'en' => 'Please indicate the reason for the audit failure',
        'hk' => '請註明審核失敗原因',
        'ja' => '監査失敗の理由を示してください',
    ],
    20509 => [
        'cn' => '未找到提现申请记录',
        'en' => 'No withdrawal application record found',
        'hk' => '未找到提現申請記錄',
        'ja' => '引き出し申請記録が見つかりません',
    ],
    20510 => [
        'cn' => '请添加节点地址',
        'en' => 'Please add node address',
        'hk' => '請添加節點地址',
        'ja' => 'ノードアドレスを追加してください',
    ],
    20511 => [
        'cn' => '商品信息错误',
        'en' => 'Product information error',
        'hk' => '商品信息錯誤',
        'ja' => '製品情報エラー',
    ],
    20512 => [
        'cn' => '商品库存不足',
        'en' => 'Insufficient product inventory',
        'hk' => '商品庫存不足',
        'ja' => '不十分な製品在庫',
    ],
    20513 => [
        'cn' => '图片资源不存在',
        'en' => 'Image resource does not exist',
        'hk' => '圖片資源不存在',
        'ja' => '画像リソースが存在しません',
    ],
    20514 => [
        'cn' => '限时抢购商品活动资格不足',
        'en' => 'Insufficient qualifications for limited-time rush-buying activities',
        'hk' => '限時搶購商品活動資格不足',
        'ja' => '期間限定のラッシュバイ活動の資格が不十分',
    ],
    20515 => [
        'cn' => '商品已下架，无法购买',
        'en' => 'The product has been removed and cannot be purchased',
        'hk' => '商品已下架，無法購買',
        'ja' => '製品は削除されており、購入できません',
    ],
    20516 => [
        'cn' => '请先创建订单',
        'en' => 'Please create an order first',
        'hk' => '請先創建訂單',
        'ja' => '最初に注文を作成してください',
    ],


    20601 => [
        'cn' => '用户未实名认证',
        'en' => 'User is not authenticated by real name',
        'hk' => '用戶未實名認證',
        'ja' => 'ユーザーは本名で認証されていません',
    ],
    20602 => [
        'cn' => '登录密码错误',
        'en' => 'Incorrect login password',
        'hk' => '登錄密碼錯誤',
        'ja' => 'ログインパスワードが正しくありません',
    ],
    20603 => [
        'cn' => '验证码不正确',
        'en' => 'Incorrect verification code',
        'hk' => '驗證碼不正確',
        'ja' => '不正な確認コード',
    ],
    20604 => [
        'cn' => '邮箱校验失败',
        'en' => 'Email verification failed',
        'hk' => '郵箱校驗失敗',
        'ja' => 'メールの確認に失敗しました',
    ],
    20605 => [
        'cn' => '发送邮箱失败',
        'en' => 'Failed to send mailbox',
        'hk' => '發送郵箱失敗',
        'ja' => 'メール送信に失敗しました',
    ],
    20606 => [
        'cn' => '请勿重复申请',
        'en' => 'Please do not apply twice',
        'hk' => '請勿重複申請',
        'ja' => '二度と応募しないでください',
    ],
    20607 => [
        'cn' => '余额不足',
        'en' => "Not sufficient funds",
        'hk' => '餘額不足',
        'ja' => '残高不足です',
    ],


    //后台管理业务级 20700-20899
    20700 => [
        'cn' => '密码错误',
        'en' => 'wrong password',
        'hk' => '密碼錯誤',
        'ja' => '間違ったパスワード',
    ],
    20701 => [
        'cn' => '重复发放',
        'en' => 'Reissue',
        'hk' => '重複發放',
        'ja' => '再発行',
    ],
    20702 => [
        'cn' => '认证信息不存在',
        'en' => 'Authentication information does not exist',
        'hk' => '認證信息不存在',
        'ja' => '認証情報が存在しません',
    ],
    20703 => [
        'cn' => '未配置佣金比例,请联系管理员',
        'en' => 'Commission rate is not configured, please contact the administrator',
        'hk' => '未配置佣金比例,請聯繫管理員',
        'ja' => '手数料率が設定されていません。管理者に連絡してください',
    ],
    20704 => [
        'cn' => '该系列类型未按照日期顺序发放,请检查后重试',
        'en' => 'This series type is not issued in the order of date, please check and try again',
        'hk' => '該系列類型未按照日期順序發放,請檢查後重試',
        'ja' => 'このシリーズタイプは日付順に発行されていませんので、ご確認の上、お試しください。',
    ],
    20705 => [
        'cn' => '该系列类型已经存在相同合约周期',
        'en' => 'The same contract period already exists for this series type',
        'hk' => '該系列類型已經存在相同合約週期',
        'ja' => 'このシリーズタイプには、同じ契約期間がすでに存在します',
    ],
    20706 => [

        'cn' => '无操作权限',
        'en' => 'No operation authority',
        'hk' => '無操作許可權',
        'ja' => '操作権限がありません',
    ],

    20707 => [
        'cn' => '用户的质押币余额不足',
        'en' => "The user's staking currency balance is insufficient",
        'hk' => '用戶的質押幣餘額不足',
        'ja' => 'ユーザーの賭け通貨残高が不十分です',
    ],

    20708 => [
        'cn' => '在线获取质押比例失败,请检查服务网络连接',
        'en' => "Failed to obtain the pledge ratio online, please check the service network connection",
        'hk' => '在線獲取質押比例失敗,請檢查服務網絡連接',
        'ja' => 'オンラインで質権比率を取得できませんでした。サービスネットワーク接続を確認してください。',
    ],

    50000 => [
        'cn' => '处理失败',
        'en' => 'Processing failed',
        'hk' => '處理失敗',
        'ja' => '処理に失敗しました',
    ],
];


function GetErrorMessage(int $code, string $lang = 'cn'): string
{
    $lang = strtolower($lang);
    if (!in_array($lang, ['en', 'hk', 'ja', 'cn'])) {
        $lang = 'cn';
    }
    return RESPONSE_CODE[$code][$lang] ?? '未定义的错误';
}